Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.persistence
Class HibernatePersistenceProvider

    java.lang.Object
      org.jboss.seam.persistence.PersistenceProvider
          org.jboss.seam.persistence.HibernatePersistenceProvider

    @Name(value="org.jboss.seam.persistence.persistenceProvider")
    @Scope(value=STATELESS)
    @Intercept(value=NEVER)
    @Install(precedence=10,
             classDependencies="org.hibernate.Session",
             genericDependencies=ManagedPersistenceContext.class)
    public class HibernatePersistenceProvider

extends PersistenceProvider

Support for non-standardized features of Hibernate, when used as the JPA persistence provider.

Author:
  Gavin King

Constructor Summary
`HibernatePersistenceProvider()`

Method Summary
`void` | `enableFilter(Filter f, javax.persistence.EntityManager entityManager)`
`Object` | `getId(Object bean, javax.persistence.EntityManager entityManager)`
`FlushModeType` | `getRenderFlushMode()`
`boolean` | `isDirty(javax.persistence.EntityManager entityManager)`
`void` | `setFlushModeManual(javax.persistence.EntityManager entityManager)`

Methods inherited from class org.jboss.seam.persistence.PersistenceProvider
`instance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernatePersistenceProvider

    public HibernatePersistenceProvider()

Method Detail

### setFlushModeManual

    public void setFlushModeManual(javax.persistence.EntityManager entityManager)

  Overrides:
    `setFlushModeManual` in class `PersistenceProvider`

### isDirty

    public boolean isDirty(javax.persistence.EntityManager entityManager)

  Overrides:
    `isDirty` in class `PersistenceProvider`

### getId

    public Object getId(Object bean,
                        javax.persistence.EntityManager entityManager)

  Overrides:
    `getId` in class `PersistenceProvider`

### enableFilter

    public void enableFilter(Filter f,
                             javax.persistence.EntityManager entityManager)

  Overrides:
    `enableFilter` in class `PersistenceProvider`

### getRenderFlushMode

    public FlushModeType getRenderFlushMode()

  Overrides:
    `getRenderFlushMode` in class `PersistenceProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD